
QGIS Application - Bug report #18627

Crash when copying map image to clipboard IF scale changed and XYZ tile layer present

2018-04-04 07:31 PM - Matthew Bodnar

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26515

Description

User Feedback

I selected Project-->Save Map As Image..

I changed the scale from the default and entered 1000000...

I clicked copy map...

Crashed..

If I remove the XYZ tile layer and then export, it will work but the image is blank unless the default scale is used.

The map image can be saved to clipboard with XYZ tile layer if scale is not changed in th 'Save Map as Image' dialogue.

Report Details

Crash ID: 7f7fe12663f1e633a0c13ed0e00e224678193a18

Stack Trace

RaiseException :

_TypeMatch :

RtlCaptureContext :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-04-04 07:35 PM - Matthew Bodnar

Posted in incorrect issue Tracker..

2024-03-20 1/2



#2 - 2019-04-04 11:16 AM - Jürgen Fischer

- Regression? set to No

- Crashes QGIS or corrupts data set to No

- Easy fix? set to No

- Category changed from Any to Unknown

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Affected QGIS version set to 3.7(master)
